ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Thermolampe"
ENT.Category = "Drogenzüchtung"
ENT.Spawnable = true
ENT.IsLamp = true

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 0, "Activated")
	self:NetworkVar("Entity", 0, "owning_ent")
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin() and !self:GetActivated()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end